Package io.vertx.rxjava3.kafka.client.consumer

## Class KafkaConsumerRecords<K,​V>

- java.lang.Object
- - io.vertx.rxjava3.kafka.client.consumer.KafkaConsumerRecords<K,​V>

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class KafkaConsumerRecords<K,​V>
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Vert.x Kafka consumer records

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<KafkaConsumerRecords>` | `__TYPE_ARG` |
    `io.vertx.lang.rx.TypeArg<K>` | `__typeArg_0` |
    `io.vertx.lang.rx.TypeArg<V>` | `__typeArg_1` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaConsumerRecords​(KafkaConsumerRecords delegate)` |
    `KafkaConsumerRecords​(Object delegate, io.vertx.lang.rx.TypeArg<K> typeArg_0, io.vertx.lang.rx.TypeArg<V> typeArg_1)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `KafkaConsumerRecords` | `getDelegate()` |
    `int` | `hashCode()` |
    `boolean` | `isEmpty()` |
    `static <K,​V> KafkaConsumerRecords<K,​V>` | `newInstance​(KafkaConsumerRecords arg)` |
    `static <K,​V> KafkaConsumerRecords<K,​V>` | `newInstance​(KafkaConsumerRecords arg, io.vertx.lang.rx.TypeArg<K> __typeArg_K, io.vertx.lang.rx.TypeArg<V> __typeArg_V)` |
    `KafkaConsumerRecord<K,​V>` | `recordAt​(int index)` | Get the record at the given index
    `int` | `size()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<KafkaConsumerRecords> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<K> __typeArg_0

    - #### __typeArg_1

          public final io.vertx.lang.rx.TypeArg<V> __typeArg_1

  - ### Constructor Detail

    - #### KafkaConsumerRecords

          public KafkaConsumerRecords​(KafkaConsumerRecords delegate)

    - #### KafkaConsumerRecords

          public KafkaConsumerRecords​(Object delegate,
                                      io.vertx.lang.rx.TypeArg<K> typeArg_0,
                                      io.vertx.lang.rx.TypeArg<V> typeArg_1)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public KafkaConsumerRecords getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### size

          public int size()

      Returns:
        the total number of records in this batch

    - #### isEmpty

          public boolean isEmpty()

      Returns:
        whether this batch contains any records

    - #### recordAt

          public KafkaConsumerRecord<K,​V> recordAt​(int index)

      Get the record at the given index
      Parameters:
        `index` - the index of the record to get
      Returns:

    - #### newInstance

          public static <K,​V> KafkaConsumerRecords<K,​V> newInstance​(KafkaConsumerRecords arg)

    - #### newInstance

          public static <K,​V> KafkaConsumerRecords<K,​V> newInstance​(KafkaConsumerRecords arg,
                                                                                io.vertx.lang.rx.TypeArg<K> __typeArg_K,
                                                                                io.vertx.lang.rx.TypeArg<V> __typeArg_V)